/ 铃儿响叮当 / debchange

debchange

2014-02-21 posted in [day-to-day]

debchange(dch)

当你运行dch时提示选择默认的编辑器,选择一次后就不能再选?

cat ~/.selected_editor 
# Generated by /usr/bin/select-editor
SELECTED_EDITOR="/usr/bin/vim.basic"

在~/.bashrc 中加入下面两行,可以指定changelog中的维护者名字和邮件。

# used for debchange
export DEBEMAIL="xxx@xxx.com"
export DEBFULLNAME="Bin Li"

在~/.devscripts中加入下面的行,可以自动增加版本号

# dont add nmu1, just increase the number
DEBCHANGE_AUTO_NMU=no

从2.13.5以后的版本中,在changelog中默认的紧急级别是medium(urgency=medium),而不是low了

$ dch -u low

在一个包的release过程中有改动使用 $ dch devscripts (2.14.1+nmu1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Fix some bugs...

 -- Bin Li <xxx@xxx>  Fri, 21 Feb 2014 18:16:52 +0800

在release时,加个’-r’参数,会把’UNRELEASED’改成发布的版本。

$ dch -r
devscripts (2.14.1+nmu1) unstable; urgency=medium

  * Fix some bugs